--AH:ScriptId=100AA9D8-156B-4752-AD08-269D820A7828

CREATE TABLE [DockerImageLayers]
(
	[DockerImage_Id] INT NOT NULL,
	[Layer_Sequence] INT NOT NULL,
	[DockerBlob_Id] INT NOT NULL,

	CONSTRAINT [PK__DockerBlobIndex]
		PRIMARY KEY ([DockerImage_Id], [Layer_Sequence]),

	CONSTRAINT [FK__DockerBlobIndex__DockerBlobs]
		FOREIGN KEY ([DockerBlob_Id])
		REFERENCES [DockerBlobs] ([DockerBlob_Id]),

	CONSTRAINT [FK__DockerBlobIndex__DockerImages]
		FOREIGN KEY ([DockerImage_Id])
		REFERENCES [DockerImages] ([DockerImage_Id])
		ON DELETE CASCADE
)
GO

CREATE INDEX [IX__DockerImageLayers__ReverseLookup]
	ON [DockerImageLayers] ([DockerBlob_Id])

